function [ sorted_float ] = sort_profile_data( p_float )
%SORT_PROFILE_DATA Sorts the profile data of the given float ascending by pressure.
%   Sorts every CTD profile ascending by pressure of the given float.
%
%   Parameters:
%   p_float:                The float containing the CTD data to be sorted.
%   
%   Returns:
%   sorted_float:           Copy of the float with sorted CTD data.


%% Initialize return variable
sorted_float = false;

%% Parameter check
if (~iscell(p_float))
    disp([mfilename ': Unknown input type! Please check your input parameter!']);
    return
end

%% Sort profile data by time
sorted_float = cellfun(@nemo.profile.sort_profile_data, p_float, 'UniformOutput', false);


end

